#!/usr/bin/perl

use warnings;
use strict;

use Net::OAuth;
$Net::OAuth::PROTOCOL_VERSION = Net::OAuth::PROTOCOL_VERSION_1_0A;
use HTTP::Request::Common;
use LWP::UserAgent;
use Data::Dumper;
use Encode;
use URI::Escape;
use Data::Random qw(rand_chars);
require "Functions.pl";

my %sapo_urls = %{get_sapo_urls()};

my %args=( 
	oauth_verifier=>'84039195',
	oauth_token=>'e257ef10-68d2-4e0a-9a16-c99d78069b47',
	oauth_token_secret=>'6922d1f8-a405-4b0f-ab90-9b623bf4821d',
);

my $ua = LWP::UserAgent->new();
$ua->env_proxy;

get_access_token(\%args);
sub get_access_token {

	my $params = shift;;

    my $access = Net::OAuth->request('access token')->new(
        &default_request_params_sapo,
        request_url        => $sapo_urls{'access_token'},
        token              => $params->{'oauth_token'},
        verifier           => $params->{'oauth_verifier'},
        token_secret       => $params->{'oauth_token_secret'},
        callback_confirmed => 'true',

    );

    $access->sign;

    my $res = $ua->request(GET ($access->to_url)); # Post message to the Service Provider


    my $access_token;
    my $access_token_secret;

    if ($res->is_success) {
        my $response = Net::OAuth->response('request token')->from_post_body($res->content,protocol_version => Net::OAuth::PROTOCOL_VERSION_1_0);

        $access_token        = $response->token;
        $access_token_secret = $response->token_secret;

    }
    print "$access_token\n$access_token_secret\n";




}

